## PDC Register request PDC Register request |

## Functions

QmiMessagePdcRegisterInput * | qmi_message_pdc_register_input_new ()
QmiMessagePdcRegisterInput * | qmi_message_pdc_register_input_ref ()
void | qmi_message_pdc_register_input_unref ()
gboolean | qmi_message_pdc_register_input_get_enable_reporting ()
gboolean | qmi_message_pdc_register_input_set_enable_reporting ()
QmiMessagePdcRegisterOutput * | qmi_message_pdc_register_output_ref ()
void | qmi_message_pdc_register_output_unref ()
gboolean | qmi_message_pdc_register_output_get_result ()
void | qmi_client_pdc_register ()
QmiMessagePdcRegisterOutput * | qmi_client_pdc_register_finish ()

## Types and Values

| QmiMessagePdcRegisterInput
| QmiMessagePdcRegisterOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcRegisterInput
        ╰── QmiMessagePdcRegisterOutput

## Description

## Functions

### qmi_message_pdc_register_input_new ()

    QmiMessagePdcRegisterInput *
    qmi_message_pdc_register_input_new (void);

Allocates a new QmiMessagePdcRegisterInput.

#### Returns

the newly created QmiMessagePdcRegisterInput. The returned value should be freed with `qmi_message_pdc_register_input_unref()`.

Since: 1.18

### qmi_message_pdc_register_input_ref ()

    QmiMessagePdcRegisterInput *
    qmi_message_pdc_register_input_ref (QmiMessagePdcRegisterInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcRegisterInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_register_input_unref ()

    void
    qmi_message_pdc_register_input_unref (QmiMessagePdcRegisterInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcRegisterInput. |

Since: 1.18

### qmi_message_pdc_register_input_get_enable_reporting ()

    gboolean
    qmi_message_pdc_register_input_get_enable_reporting
                                   (QmiMessagePdcRegisterInput *self,
                                    gboolean *value_enable_reporting,
                                    GError **error);

Get the 'Enable Reporting' field from `self` .

#### Parameters

self | a QmiMessagePdcRegisterInput. |
value_enable_reporting | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_register_input_set_enable_reporting ()

    gboolean
    qmi_message_pdc_register_input_set_enable_reporting
                                   (QmiMessagePdcRegisterInput *self,
                                    gboolean value_enable_reporting,
                                    GError **error);

Set the 'Enable Reporting' field in the message.

#### Parameters

self | a QmiMessagePdcRegisterInput. |
value_enable_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_register_output_ref ()

    QmiMessagePdcRegisterOutput *
    qmi_message_pdc_register_output_ref (QmiMessagePdcRegisterOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcRegisterOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_register_output_unref ()

    void
    qmi_message_pdc_register_output_unref (QmiMessagePdcRegisterOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcRegisterOutput. |

Since: 1.18

### qmi_message_pdc_register_output_get_result ()

    gboolean
    qmi_message_pdc_register_output_get_result
                                   (QmiMessagePdcRegisterOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcRegisterOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.18

### qmi_client_pdc_register ()

    void
    qmi_client_pdc_register (QmiClientPdc *self,
                             QmiMessagePdcRegisterInput *input,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Register request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_register_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcRegisterInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_register_finish ()

    QmiMessagePdcRegisterOutput *
    qmi_client_pdc_register_finish (QmiClientPdc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pdc_register()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_register()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcRegisterOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_register_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcRegisterInput

    typedef struct _QmiMessagePdcRegisterInput QmiMessagePdcRegisterInput;

The QmiMessagePdcRegisterInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcRegisterOutput

    typedef struct _QmiMessagePdcRegisterOutput QmiMessagePdcRegisterOutput;

The QmiMessagePdcRegisterOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18